import { Rule } from '@angular-devkit/schematics';
import { Path } from '@angular-devkit/core';
export type TemplateComponentSchema = {
    name: string;
    cpntType: string;
    path: string;
    styleType: string;
    project: string;
    standalone: boolean;
    isParamsChild: string;
    isPropsChild: string;
    module: Path | undefined;
    flat?: boolean;
    type: string;
    isPageModule: boolean;
    route?: string;
    routeKey?: string;
    routesFilePath?: string;
    idPrefix: string;
    routing: boolean;
    addToChildrenArray?: boolean;
};
export declare function generateComponentTemplate(options: TemplateComponentSchema): Rule;
